package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstrainDetailsOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface BmstrainDetailsOrderMapper extends IBaseMapper<BmstrainDetailsOrder, BigDecimal> {

    /**
     * 展示详单信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getTrainDetailsOrderList(Map<String,Object> mapValue);

    /**
     * 展示未生成账单的详单
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getUmcomplateTrainDetailsList(Map<String, Object> mapValue);

    /**
     * 通过主键查询
     * @param detailsId
     * @return
     */
    BmstrainDetailsOrder selectByPrimaryKey(BigDecimal detailsId);

    /**
     * 修改
     * @param bmstrainDetailsOrder
     * @return
     */
    int updateByPrimaryKeySelective(BmstrainDetailsOrder bmstrainDetailsOrder);

    /**
     * 展示火运实绩
     * @return
     */
    List<Map<String, Object>> getTrainResultList(Map<String, Object> mapValue);

    /**
     * 新增详单
     * @param bmstrainDetailsOrder
     * @return
     */
    int insertSelective(BmstrainDetailsOrder bmstrainDetailsOrder);

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 通过采购订单号查询采购订单id
     * @param purchaseOrderNo
     * @return
     */
    BigDecimal getPurchaseOrderId(String purchaseOrderNo);

    /**
     * 根据车型得到单价ID
     * @param trainType
     * @return
     */
    BigDecimal getTrainPriceId(String trainType);

    /**
     * 根据车型得到单价
     * @param trainType
     * @return
     */
    BigDecimal getTrainPrice(String trainType);

    @Select("select seq_BMSTRAIN_DETAIL.nextval from dual")
    BigDecimal selectDetailsId();
}