package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstrainSettlement;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface BmstrainSettlementMapper extends IBaseMapper<BmstrainSettlement, BigDecimal> {

    @Select("select seq_BMSTRAIN_SETTLEMENT.nextval from dual")
    BigDecimal selectSettlementId();

    /**
     * 展示火运结算列表
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getSettlementList(Map<String, Object> mapValue);

    /**
     * 修改渲染
     * @param settlementId
     * @return
     */
    BmstrainSettlement selectTrainSettlement(BigDecimal settlementId);
}