package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstrainStatement;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface BmstrainStatementMapper extends IBaseMapper<BmstrainStatement, BigDecimal> {

    /**
     * 查询最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 展示所有账单信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getTrainStatementList(Map<String,Object> mapValue);

    /**
     * 展示账单中的详单
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getComplateTrainDetailsList(Map<String,Object> mapValue);

    /**
     * 展示火运实绩
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getTrainResultList(Map<String,Object> mapValue);

    /**
     * 生成账单
     * @param bmstrainStatement
     * @return
     */
    int insertSelective(BmstrainStatement bmstrainStatement);

    @Select("select seq_BMSTRAIN_STATEMENT.nextval from dual")
    BigDecimal selectStatementId();
}