package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="详单账单中间表")
public class BmstrainDetailsStatement implements IBasePO<BigDecimal> {
    /**
     * 主键ID(DETAILS_STATEMENT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal detailsStatementId;

    /**
     * 账单ID(STATEMENT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="账单ID",required=false)
    private BigDecimal statementId;

    /**
     * 详单ID(DETAILS_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="详单ID",required=false)
    private BigDecimal detailsId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.detailsStatementId;
    }

    @Override
    public void setId(BigDecimal detailsStatementId) {
        this.detailsStatementId = detailsStatementId;
    }

    public BigDecimal getDetailsStatementId() {
        return detailsStatementId;
    }

    public void setDetailsStatementId(BigDecimal detailsStatementId) {
        this.detailsStatementId = detailsStatementId;
    }

    public BigDecimal getStatementId() {
        return statementId;
    }

    public void setStatementId(BigDecimal statementId) {
        this.statementId = statementId;
    }

    public BigDecimal getDetailsId() {
        return detailsId;
    }

    public void setDetailsId(BigDecimal detailsId) {
        this.detailsId = detailsId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", detailsStatementId=").append(detailsStatementId);
        sb.append(", statementId=").append(statementId);
        sb.append(", detailsId=").append(detailsId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}