package com.steerinfo.dil.service;

import com.steerinfo.dil.model.BmstrainDetailsOrder;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/14 9:28
 * @Version:V2.0
 */
public interface IBmstrainDetailsOrderService {

    /**
     * 展示详单信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getTrainDetailsOrderList(Map<String,Object> mapValue);

    /**
     * 展示未生成账单的详单
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getUmcomplateTrainDetailsList(Map<String, Object> mapValue);

    /**
     * 通过主键查询
     * @param detailsId
     * @return
     */
    BmstrainDetailsOrder selectByPrimaryKey(BigDecimal detailsId);

    /**
     * 修改
     * @param bmstrainDetailsOrder
     * @return
     */
    int updateByPrimaryKeySelective(BmstrainDetailsOrder bmstrainDetailsOrder);

    /**
     * 展示火运实绩
     * @return
     */
    List<Map<String, Object>> getTrainResultList(Map<String, Object> mapValue);

    /**
     * 新增详单
     * @param map
     * @return
     */
    int insertSelective(Map<String,Object> map);

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 通过采购订单号查询采购订单id
     * @param purchaseOrderNo
     * @return
     */
    BigDecimal getPurchaseOrderId(String purchaseOrderNo);

    /**
     * 根据车型得到单价
     * @param trainType
     * @return
     */
    BigDecimal getTrainPriceId(String trainType);

    /**
     * 根据车型得到单价
     * @param trainType
     * @return
     */
    BigDecimal getTrainPrice(String trainType);
}
