package com.steerinfo.dil.service;

import com.steerinfo.dil.model.BmstrainSettlement;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * BmstrainSettlement服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-18 05:29
 * 类描述
 * 修订历史：
 * 日期：2021-10-18
 * 作者：generator
 * 参考：
 * 描述：BmstrainSettlement服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IBmstrainSettlementService {
    /**
     * 修改渲染
     * @param settlementId
     * @return
     */
    BmstrainSettlement selectTrainSettlement(BigDecimal settlementId);

    /**
     * 修改火运结算
     * @param bmstrainSettlement
     * @return
     */
    int updateTrainSettlement(BmstrainSettlement bmstrainSettlement);

    /**
     * 逻辑删除火运结算
     * @param settlementId
     * @return
     */
    int deleteTrainSettlement(BigDecimal settlementId);

    /**
     * 新增火运结算
     * @param bmstrainSettlement
     * @return
     */
    int addTrainSettlement(BmstrainSettlement bmstrainSettlement);

    /**
     * 展示火运结算列表
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getSettlementList(Map<String, Object> mapValue);
}