package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.BmstrainSettlementMapper;
import com.steerinfo.dil.model.BmstrainSettlement;
import com.steerinfo.dil.service.IBmstrainSettlementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * BmstrainSettlement服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-18 05:29
 * 类描述
 * 修订历史：
 * 日期：2021-10-18
 * 作者：generator
 * 参考：
 * 描述：BmstrainSettlement服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmstrainSettlementService")
public class BmstrainSettlementServiceImpl implements IBmstrainSettlementService {

    @Autowired
    private BmstrainSettlementMapper bmstrainSettlementMapper;


    /**
     * 修改渲染
     * @param settlementId
     * @return
     */
    @Override
    public BmstrainSettlement selectTrainSettlement(BigDecimal settlementId) {
        return bmstrainSettlementMapper.selectTrainSettlement(settlementId);
    }

    /**
     * 修改火运结算
     * @param bmstrainSettlement
     * @return
     */
    @Override
    public int updateTrainSettlement(BmstrainSettlement bmstrainSettlement) {
        bmstrainSettlement.setUpdateTime(new Date());
        return bmstrainSettlementMapper.updateByPrimaryKeySelective(bmstrainSettlement);
    }

    /**
     * 逻辑删除火运结算
     * @param settlementId
     * @return
     */
    @Override
    public int deleteTrainSettlement(BigDecimal settlementId) {
        BmstrainSettlement bmstrainSettlement = bmstrainSettlementMapper.selectByPrimaryKey(settlementId);
        bmstrainSettlement.setDeleted(new BigDecimal(1));
        return bmstrainSettlementMapper.updateByPrimaryKeySelective(bmstrainSettlement);
    }

    /**
     * 新增火运结算
     * @param bmstrainSettlement
     * @return
     */
    @Override
    public int addTrainSettlement(BmstrainSettlement bmstrainSettlement) {
        BigDecimal settlementId = bmstrainSettlementMapper.selectSettlementId();
        bmstrainSettlement.setSettlementId(settlementId);
        bmstrainSettlement.setInsertTime(new Date());
        bmstrainSettlement.setUpdateTime(new Date());
        bmstrainSettlement.setInsertUsername("admin");
        bmstrainSettlement.setUpdateUsername("admin");
        bmstrainSettlement.setInsertUpdateRemark("无");
        return bmstrainSettlementMapper.insertSelective(bmstrainSettlement);
    }

    /**
     * 展示火运结算列表
     * @param mapValue
     * @return
     */
    @Override
    public List<Map<String, Object>> getSettlementList(Map<String, Object> mapValue) {
        return bmstrainSettlementMapper.getSettlementList(mapValue);
    }
}
